import type { ModuleInstance } from '../../module/baseModule';
import { BaseModuleInstance } from '../../module/module';
import type { ModuleContext } from '../../module/moduleContext';
import { NavigatorHandle } from './navigatorHandle';
import { NavigatorMask } from './navigatorMask';
export declare class Navigator extends BaseModuleInstance implements ModuleInstance {
    private readonly ctx;
    private readonly rs;
    readonly mask: NavigatorMask;
    readonly minHandle: NavigatorHandle;
    readonly maxHandle: NavigatorHandle;
    private minHandleDragging;
    private maxHandleDragging;
    private panHandleOffset;
    private enabled;
    set width(value: number);
    get width(): number;
    set height(value: number);
    get height(): number;
    margin: number;
    set min(value: number);
    get min(): number;
    set max(value: number);
    get max(): number;
    private _visible;
    set visible(value: boolean);
    get visible(): boolean;
    private updateGroupVisibility;
    constructor(ctx: ModuleContext);
    private layout;
    private layoutComplete;
    private onDragStart;
    private onDrag;
    private onDragStop;
    private stopHandleDragging;
}
